<inishell_config application="SNOWPACK">
	<!-- <include path="doc/examples/meteoio_config.xml" /> -->

	<!-- General Parameters -->
	<parameter key="BUFF_CHUNK_SIZE" type="integer" default="30">
		<section name="general" />
		<help>Size in days of a chunk of data to read at once.</help>
	</parameter>

	<parameter key="BUFF_BEFORE" type="decimal" default="1.5">
		<section name="general" />
		<help>Alternate way of buffer centering: When rebuffering, the new date will be located BUFF_BEFORE days from the
		beginning of the buffer (therefore, it takes a value in days).</help>
	</parameter>

	<!-- Coordinate systems, time zones -->
	<parameter key="COORDSYS" type="alternative" optional="false">
		<section name="input" />
		<section name="output" />
		<option value="CH1903" type="string">
			<help>coordinates in the Swiss Grid &lt;a href="http://geomatics.ladetto.ch/ch1903_wgs84_de.pdf"&gt;http://geomatics.ladetto.ch/ch1903_wgs84_de.pdf&lt;/a&gt;</help>
		</option>
		<option value="UTM" type="string">
			<parameter key="COORDPARAM" type="string">
				<help>specify the zone with the zone letter (for example, 32T)</help>
			</parameter>
			<help>UTM coordinates, see &lt;a href="http://www.oc.nps.edu/oc2902w/maps/utmups.pdf"&gt;http://www.oc.nps.edu/oc2902w/maps/utmups.pdf&lt;/a&gt;</help>
		</option>
		<option value="UPS" type="string">
			<parameter key="COORDPARAM" type="string">
				<help>specify the hemisphere (either N or S)</help>
			</parameter>
			<help>Universal Polar Stereographic coordinates, see &lt;a href="https://en.wikipedia.org/wiki/Universal_Polar_Stereographic_coordinate_system"&gt;https://en.wikipedia.org/wiki/Universal_Polar_Stereographic_coordinate_system&lt;/a&gt;</help>
		</option>
		<option value="PROJ4" type="string">
			<parameter key="COORDPARAM" type="string" optional="false" />
			<help>external library: see &lt;a href="http://trac.osgeo.org/proj/"&gt;http://trac.osgeo.org/proj/&lt;/a&gt;</help>
		</option>
		<option value="LOCAL"  type="string">
			<help>uses the horizontal and vertical distance from a reference point</help>
		</option>
		<help>coordinate system</help>
	</parameter>

	<parameter key="TIME_ZONE" type="integer+" default="+1" maximum="14" minimum="-12" optional="false">
		<section name="input" />
		<section name="output" />
	</parameter>

	<!-- Datatypes: Meteo Data -->
	<frame key="meteo_frame" label="Meteorological Data">
	<section name="input"/>
	<parameter key="METEO" type="alternative" optional="false">
		<section name="input" />

		<option value="A3D" type="string">
			<parameter key="METEOPATH" type="path" optional="false">
				<help>string containing the path to the meteorological files</help>
			</parameter>
		</option>
		<option value="BORMA" type="string">
			<section name="input" />
			<reference name="BORMA" />
		</option>
		<option value="COSMO" type="string">
			<parameter key="METEOPATH" type="path" optional="false">
				<help>string containing the path to the meteorological files</help>
			</parameter>
		</option>
		<option value="GEOTOP" type="string">
			<section name="input" />
			<reference name="GEOTOP_IN" />
		</option>
		<option value="GRIB" type="string">
			<section name="input" />
			<reference name="GRIB_METEO" />
		</option>
		<option value="GSN" type="string">
			<section name="input" />
			<reference name="GSN" />
		</option>
		<option value="IMIS" type="string">
			<section name="input" />
			<reference name="IMIS" />
		</option>
		<option value="SMET" type="string">
			<section name="input" />
			<reference name="SMET_IN" />
		</option>
		<option value="SNOWPACK" type="string">
			<section name="input" />
			<reference name="SNIO_IN" />
		</option>

		<help>plugin for METEO data </help>
	</parameter>
	<parameter key="Add Meteo parameter copy" type="selector">
		<section name="input"/>
		<parameter key="COPY::%" type="string" optional="false" template="true">
			<help>The name of the parameter to copy (e.g. TA, RH, VW, ISWR, etc)</help>
		</parameter>
		<help>Copy a meteo parameter into a new one (you should not need this)</help>
	</parameter>
	</frame>

	<!-- Extra Input Parameters -->
	<frame key="snow_frame" label="Initial Snow Profiles">
	<section name="input"/>
	<parameter key="SNOWPATH" type="path" default="./current_snow">
		<section name="input" />
		<help>Path to the land surface and snow input parameters</help>
	</parameter>
	<parameter key="SNOW" type="alternative" default="SMET" optional="true">
		<section name="input" />
		<option value="SNOWPACK" type="string" />
		<option value="SMET" type="string" />
		<help>Plugin to use for reading SNO data</help>
	</parameter>
	<parameter key="SNOWFILE#" type="file" counter="1" optional="false">
		<section name="input" />
		<help>file name for the initial profile for station number #</help>
	</parameter>
	<!-- <parameter key="NUMBER_OF_SOLUTES" type="integer" default="0" minimum="0" maximum="0">
		<section name="input" />
		<help>SNOWPACK can transport an arbitrary number of trace components in its snow and water phases [special use]</help>
	</parameter> -->
	</frame>

	<!-- Output Parameters -->
	<parameter key="METEOPATH" type="path" default="./output">
		<section name="output" />
		<help>Path to the outputs (this path MUST exist, it won't be created)</help>
	</parameter>
	<parameter key="EXPERIMENT" type="string" optional="false">
		<section name="output" />
		<help>Option to give an additional simulation specific output name to the run in addition to "STATION_NAME")</help>
	</parameter>
	<frame key="TS_frame" label="Time Series">
	<section name="output"/>
	<parameter key="TS_WRITE" type="alternative" optional="false">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write meteo data out?</help>
	</parameter>
	<parameter key="TS_START" type="decimal" default="0" minimum="0" maximum="360">
		<section name="output" />
		<help>When to start writing meteo data out (offset, in days)</help>
	</parameter>
	<parameter key="TS_DAYS_BETWEEN" type="decimal" default="4.1666e-2" minimum="0" maximum="360">
		<section name="output" />
		<help>How often to write meteo data out (in days: 3 hours=.125, 1 hour=4.1666e-2)</help>
	</parameter>
	<parameter key="AVGSUM_TIME_SERIES" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>If AVGSUM_TIME_SERIES is set, mean fluxes and cumulated masses since last dump are written, else current energy fluxes, cumulated masses over last COMPUTATION_STEP_LENGTH (recommended setting in operational mode).</help>
	</parameter>
	<parameter key="CUMSUM_MASS" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>If CUMSUM_MASS is set, current value of cumulated masses since begin of run are dumped. Precipitations (rain and snow, rain) are always dumped as rates (kg m-2 h-1).</help>
	</parameter>
	<parameter key="PRECIP_RATES" type="alternative" optional="true" default="TRUE">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write precipitation as rates (kg m-2 h-1, default) or as sums over the output time step. Please note that the units label in the output file and in SN_GUI &lt;b&gt;will remain kg m-2 h-1&lt;/b&gt; and will therefore not match sums.</help>
	</parameter>
	</frame>
	<frame key="profiles_frame" label="Snow Profiles">
	<section name="output"/>
	<parameter key="PROFILE" type="alternative" default="ASCII" optional="false">
		<section name="output" />
		<option value="ASCII" type="string" />
		<option value="IMIS" type="string" />
		<option value="ASCII IMIS" type="string" />
		<help>How to write the profiles (default: ASCII)</help>
	</parameter>
	<parameter key="PROF_WRITE" type="alternative" optional="false">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write profile data out?</help>
	</parameter>
	<parameter key="PROF_START" type="decimal" default="0" minimum="0" maximum="360">
		<section name="output" />
		<help>When to start writing profile data out (offset, in days)</help>
	</parameter>
	<parameter key="PROF_DAYS_BETWEEN" type="decimal" default="4.1666e-2" minimum="0" maximum="360">
		<section name="output" />
		<help>How often to write profile data out (in days: 3 hours=.125, 1 hour=4.1666e-2)</help>
	</parameter>
	<parameter key="HARDNESS_IN_NEWTON" type="alternative" default="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write the hand hardness in newtons (default) or as index</help>
	</parameter>
	<parameter key="CLASSIFY_PROFILE" type="alternative" default="false">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Classify the profile (default=false)? This is according to Schweizer, J. and M. Luetschg, &lt;i&gt;Characteristics of human-triggered avalanches&lt;/i&gt;, 2001, Cold Reg. Sci. Technol. &lt;b&gt;33&lt;/b&gt;(2-3)</help>
	</parameter>
	</frame>
	<frame key="sno_frame" label="Status files">
	<section name="output"/>
	<parameter key="SNOW" type="alternative" default="SMET" optional="true">
		<section name="output" />
		<option value="SNOWPACK" type="string" />
		<option value="SMET" type="string" />
		<help>Plugin to use for reading SNO data</help>
	</parameter>
	<parameter key="BACKUP_DAYS_BETWEEN" type="decimal" default="365" minimum="0">
		<section name="output" />
		<help>Dump snow files every BACKUP_DAYS_BETWEEN days</help>
	</parameter>
	<parameter key="FIRST_BACKUP" type="decimal" default="400" minimum="0">
		<section name="output" />
		<help>First dump of sno files happens at end of run or after FIRST_BACKUP days, whichever happens first</help>
	</parameter>
	</frame>

	<frame key="switch_frame" label="Outputs Selection">
	<section name="output"/>
	<parameter key="OUT_CANOPY" type="alternative" default="FALSE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write canopy data out? To be set to TRUE only if CANOPY=TRUE</help>
	</parameter>
	<parameter key="OUT_HAZ" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write hazard data out? This must be FALSE for Alpine3D</help>
	</parameter>
	<parameter key="OUT_HEAT" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write turbulent fluxes out?</help>
	</parameter>
	<parameter key="OUT_T" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write snow/soil temperatures out?</help>
	</parameter>
	<!-- <parameter key="OUT_LOAD" type="alternative" default="FALSE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write solutes load data out?</help>
	</parameter> -->
	<parameter key="OUT_LW" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write long wave radiation out?</help>
	</parameter>
	<parameter key="OUT_SW" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write short wave radiation out?</help>
	</parameter>
	<parameter key="OUT_MASS" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write mass balance terms out?</help>
	</parameter>
	<parameter key="OUT_METEO" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write meteo parameters out?</help>
	</parameter>
	<parameter key="OUT_STAB" type="alternative" default="TRUE" optional="true">
		<section name="output" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Write stability parameters out?</help>
	</parameter>
	</frame>


	<!-- Snowpack Parameters -->
	<frame key="sn_parameters_frame" label="Model Parameters">
	<section name="Snowpack"/>
	<parameter key="CALCULATION_STEP_LENGTH" type="decimal" default="15" minimum="5" maximum="180">
		<section name="Snowpack" />
		<help>Internal time step (in minutes) used for model simulation. Please note that this MUST be the same as HNW::accumulate (the latter being in seconds) if re-acumulating precipitation, otherwise it would lead to wrong results.</help>
	</parameter>
	<parameter key="ROUGHNESS_LENGTH" type="decimal" default="0.002">
		<section name="Snowpack" />
		<help>Aerodynamic roughness length as a parameter for the Monin-Obukhov bulk formulation; A typical value for complex terrain is 0.01 m and for snow covered flat sites 0.001 m.</help>
	</parameter>
	<parameter key="HEIGHT_OF_METEO_VALUES" type="decimal" default="5.0">
		<section name="Snowpack" />
		<help>The instrument height (or model layer height) for meteorological input data except for wind, which may be at a different height; note that height is above ground for a standard SNOWPACK application but above surface (snow or ground) for Alpine3D applications.</help>
	</parameter>
	<parameter key="HEIGHT_OF_WIND_VALUE" type="decimal" default="5.0">
		<section name="Snowpack" />
		<help>The instrument height (or model layer height) for wind input data; note that height is above ground for a standard SNOWPACK application but above surface (snow or ground) for Alpine3D applications</help>
	</parameter>
	</frame>
	<frame key="sn_switch_frame" label="Models Selection">
	<section name="Snowpack"/>
	<parameter key="ENFORCE_MEASURED_SNOW_HEIGHTS" type="alternative" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Input mode by which a measurement of snow depth is used to drive the snow cover mass balance</help>
	</parameter>
	<parameter key="SW_MODE" type="integer" default="0" minimum="0" maximum="2" optional="false">
		<section name="Snowpack" />
		<help>Define the shortwave radiation input: &lt;ol&gt; &lt;li value="0"&gt;Incoming shortwave radiation is measured and albedo estimated by the model;&lt;/li&gt; &lt;li&gt;Reflected shortwave radiation is available as input and albedo is estimated by the model (IMIS standard);&lt;/li&gt; &lt;li&gt;Incoming and reflected shortwave radiation are both measured and the albedo is estimated from both measurements subject to plausibility checks.&lt;/li&gt; &lt;/ol&gt;</help>
	</parameter>
	<parameter key="NEUTRAL" type="integer" default="1" minimum="-1" maximum="1" optional="false">
		<section name="Snowpack" />
		<help>Select the atmospheric stability correction model:&lt;ol&gt; &lt;li value="-1"&gt; use a simplified Richardson number stability correction;&lt;/li&gt; &lt;li&gt;assume standard Monin-Obukhov bulk formulation for surface exchange iteration with Paulson, Stearns and Weidner (can be used with BC_CHANGE=0); &lt;/li&gt; &lt;li&gt; force Monin-Obukhov formulation to assume neutral conditions regardless of the actual stratification; it has been shown to work well in complex terrain settings. It should be used with BC_CHANGE=1, i.e., Dirichlet bc but also is recommended with Neumann b.c., i.e., BC_CHANGE=0.&lt;/li&gt; &lt;/ol&gt;</help>
	</parameter>
	<parameter key="CANOPY" type="alternative" default="FALSE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Switch to tell the model that canopy is present (note that Canopy parameters should then be provided in the *.sno file)</help>
	</parameter>
	<parameter key="MEAS_TSS" type="alternative" default="TRUE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>A measured surface temperature is available and can be reliably used for various consistency tests (it needs to be set to true if enabling CHANGE_BC).</help>
	</parameter>
	<parameter key="CHANGE_BC" type="alternative" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Use measured surface temperature as Dirichlet temperature BC for sub-freezing snowpacks and switch to Neumann only for melting snowpacks. If set to false, assumes Neumann boundary conditions.</help>
	</parameter>
	<parameter key="THRESH_CHANGE_BC" type="decimal" default="-1.3">
		<section name="Snowpack" />
		<help>Threshold value (small number below freezing), which switches from Dirichlet to Neumann BCs if CHANGE_BC is selected</help>
	</parameter>
	</frame>
	<frame key="sn_slopes_frame" label="Virtual slopes">
	<section name="Snowpack"/>
	<parameter key="NUMBER_SLOPES" type="alternative" default="1" optional="false">
		<section name="Snowpack" />
		<option value="1" type="string" />
		<option value="5" type="string" />
		<option value="3" type="string" />
		<option value="9" type="string" />
		<help>Based on meteorological input from a (flat field) automatic station or numerical weather model, up to 8 expositions can be calculated in addition to the flat field if the corresponding *.sno files are provided. For example, if you provide a flat field *.snow file (mandatory), which is named KLO3.sno and you want 4 slopes to be calculated the corresponding slope files should be named KLO21.sno, …,KLO24.sno</help>
	</parameter>
	<parameter key="INCOMING_LONGWAVE" type="alternative" default="FALSE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Use the provided incoming long wave on the virtual slopes?</help>
	</parameter>
	<parameter key="SNOW_REDISTRIBUTION" type="alternative" default="FALSE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Specifies if redistribution of snow is allowed from (upwind) expositions to lee slopes. In case just the flat field is calculated, snow erosion is enabled but only for "ENFORCE_MEASURED_SNOW_HEIGHTS".</help>
	</parameter>
	</frame>
	<frame key="soil_frame" label="Soil Modeling">
	<section name="Snowpack"/>
	<parameter key="SNP_SOIL" type="alternative" default="TRUE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Soil layers as defined by the *.sno files are included in the simulation</help>
	</parameter>
	<parameter key="SOIL_FLUX" type="alternative" default="FALSE" optional="false">
		<section name="Snowpack" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Assume that the lower temperature boundary condition is given by GEO_HEAT (Neumann) and not by a measured temperature</help>
	</parameter>
	<parameter key="GEO_HEAT" type="decimal" default="0.06">
		<section name="Snowpack" />
		<help>Constant geothermal heat flux at great) depth W m-2): Lower flux boundary condition for temperature equation if BC is Neumann</help>
	</parameter>
	</frame>


	<!-- SnowpackAdvanced Parameters -->
	<parameter key="ASSUME_RESPONSIBILITY" type="alternative" default="AGREE">
		<section name="SnowpackAdvanced" />
		<option value="AGREE" type="string" />
		<help>&lt;font color="FF0000"&gt;The keys in this section deeply affect the operation of the SNOWPACK model. This could lead to unexpected behavior or surprising results. If you are not an experienced Snowpack user, please do NOT change any keys below!&lt;/font&gt;</help>
	</parameter>
	<parameter key="VARIANT" type="alternative">
		<section name="SnowpackAdvanced" />
		<option value="DEFAULT" type="string" />
		<option value="JAPAN" type="string" />
		<option value="ANTARTICA" type="string" />
		<!-- <option value="CALIBRATION" type="string" /> -->
		<help>variant selection (includes a choice of specific models)</help>
	</parameter>
	<!-- <parameter key="RESEARCH" type="alternative" optional="true" default="TRUE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>research_mode</help>
	</parameter> -->
	<!-- <parameter key="NUMBER_FIXED_RATES" type="integer" default="0">
		<section name="SnowpackAdvanced" />
		<help>number_fixed_rates</help>
	</parameter> -->
	<parameter key="PERP_TO_SLOPE" type="alternative" optional="true" default="FALSE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>perp_to_slope</help>
	</parameter>
	<frame key="wind_frame" label="Wind Handling">
	<section name="SnowpackAdvanced"/>
	<parameter key="PREVAILING_WIND_DIR" type="decimal" default="0">
		<section name="SnowpackAdvanced" />
		<help>Shifts the origin of the wind rose for snow redistribution and slope simulations: e.g. choose 45° to have NE/SE/SW/NW</help>
	</parameter>
	<parameter key="WIND_SCALING_FACTOR" type="decimal" default="1.0" minimum="0" maximum="2">
		<section name="SnowpackAdvanced" />
		<help>Scaling factor to apply to wind values in case of drifting snow</help>
	</parameter>
	</frame>
	<frame key="hnw_frame" label="Precipitation Handling">
	<section name="SnowpackAdvanced"/>
	<parameter key="FORCE_RH_WATER" type="alternative" optional="true">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Tell the model that relative humidity values are with respect to water regardless of the temperature</help>
	</parameter>
	<parameter key="THRESH_RAIN" type="decimal" default="1.2">
		<section name="SnowpackAdvanced" />
		<help>Temperature threshold for rain/snow transition</help>
	</parameter>
	<parameter key="THRESH_RH" type="decimal" default="0.5">
		<section name="SnowpackAdvanced" />
		<help>If ENFORCE_MEASURED_SNOW_HEIGHTS, relative humidity threshold for precipitation to occur</help>
	</parameter>
	<parameter key="THRESH_DT_AIR_SNOW" type="decimal" default="3.0">
		<section name="SnowpackAdvanced" />
		<help>If ENFORCE_MEASURED_SNOW_HEIGHTS, (TA-TSS) threshold for precipitation to occur</help>
	</parameter>
	</frame>
	<frame key="hoar_frame" label="Hoar Handling">
	<section name="SnowpackAdvanced"/>
	<parameter key="HOAR_THRESH_RH" type="decimal" default="0.97">
		<section name="SnowpackAdvanced" />
		<help>Relative humidity threshold above which no surface hoar is allowed to form (because at very high humidity, typically no hoar crystals can form)</help>
	</parameter>
	<parameter key="HOAR_THRESH_VW" type="decimal" default="3.5">
		<section name="SnowpackAdvanced" />
		<help>Wind speed threshold above which no surface hoar is allowed to form (because it will drift away)</help>
	</parameter>
	<parameter key="HOAR_DENSITY_BURIED" type="decimal" default="125.0">
		<section name="SnowpackAdvanced" />
		<help>Define the initial density for surface hoar at the time it gets buried by new snow</help>
	</parameter>
	<parameter key="HOAR_MIN_SIZE_BURIED" type="decimal" default="2.0">
		<section name="SnowpackAdvanced" />
		<help>Define a threshold below which any traces of surface hoar will not be given a separate hoar layer when buried.</help>
	</parameter>
	<parameter key="HOAR_DENSITY_SURF" type="decimal" default="100.0">
		<section name="SnowpackAdvanced" />
		<help>Assumed density of surface hoar while exposed at the surface and not buried</help>
	</parameter>
	</frame>
	<frame key="temps_frame" label="Temperatures Handling">
	<section name="SnowpackAdvanced"/>
	<parameter key="FIXED_POSITIONS" type="string" default="">
		<section name="SnowpackAdvanced" />
		<help>positions of temperatur sensors in snow or soil: positive values refer to heigths measured from the ground surface (snow only), negative values refer to depths measured from either the ground surface or the snow surface in case no soil layers are present. A sensor must at least be covered by MIN_DEPTH_SUBSURF (m) snow for its temperature to be output.</help>
	</parameter>
	<!-- <parameter key="MAX_NUMBER_MEAS_TEMPERATURES" type="integer" default="5">
		<section name="SnowpackAdvanced" />
		<help></help>
	</parameter> -->
	<parameter key="MIN_DEPTH_SUBSURF" type="decimal" default="0.07">
		<section name="SnowpackAdvanced" />
		<help>Minimum snow depth above a temperature sensor to accept the measurement</help>
	</parameter>
	<parameter key="T_CRAZY_MIN" type="decimal" default="210.">
		<section name="SnowpackAdvanced" />
		<help>If you go to Antarctica or the tropics you may expect different reasonable temperatures</help>
	</parameter>
	<parameter key="T_CRAZY_MAX" type="decimal" default="340.">
		<section name="SnowpackAdvanced" />
		<help>If you go to Antarctica or the tropics you may expect different reasonable temperatures</help>
	</parameter>
	</frame>
	<frame key="sn_models_frame" label="Models Selection">
	<section name="SnowpackAdvanced"/>
	<parameter key="HN_DENSITY_MODEL" type="alternative" default="LEHNING_NEW">
		<section name="SnowpackAdvanced" />
		<option value="LEHNING_NEW" type="string" />
		<option value="ZWART" type="string" />
		<option value="BELLAIRE" type="string" />
		<option value="LEHNING_OLD" type="string" />
		<option value="PAHAUT" type="string" />
		<help>Choice of new snow density model (diverse statistical models)</help>
	</parameter>
	<parameter key="HN_DENSITY" type="string" default="PARAMETERIZED">
		<section name="SnowpackAdvanced" />
		<help>Fixed value to be used as new snow density if a constant density model is chosen, otherwise the choices are "PARAMETERIZED" "EVENT" "MEASURED"</help>
	</parameter>
	<parameter key="METAMORPHISM_MODEL" type="alternative">
		<section name="SnowpackAdvanced" />
		<option value="DEFAULT" type="string" />
		<option value="NIED" type="string" />
		<help>metamorphism_model</help>
	</parameter>
	<parameter key="NEW_SNOW_GRAIN_RAD" type="decimal" default="0.15">
		<section name="SnowpackAdvanced" />
		<help>new_snow_grain_rad</help>
	</parameter>
	<parameter key="STRENGTH_MODEL" type="alternative">
		<section name="SnowpackAdvanced" />
		<option value="DEFAULT" type="string" />
		<option value="NIED" type="string" />
		<help>strength_model</help>
	</parameter>
	<parameter key="VISCOSITY_MODEL" type="alternative">
		<section name="SnowpackAdvanced" />
		<option value="DEFAULT" type="string" />
		<option value="NIED" type="string" />
		<help>viscosity_model</help>
	</parameter>
	<parameter key="HARDNESS_MODEL" type="alternative">
		<section name="SnowpackAdvanced" />
		<option value="MONTI" type="string" />
		<option value="BELLAIRE" type="string" />
		<option value="ASARC" type="string" />
		<help>hardness_model</help>
	</parameter>
	<parameter key="DOORSCHOT" type="alternative" optional="true" default="FALSE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Choose the Doorschot saltation model over the simple Sorenson parameterization</help>
	</parameter>
	<parameter key="MULTISTREAM" type="alternative" optional="true">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Select a multi stream model for shortwave radiation penetration into the snow cover</help>
	</parameter>
	<parameter key="FIXED_ALBEDO" type="alternative" optional="true">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Force the model to work with a fixed albedo</help>
	</parameter>
	<!-- <parameter key="SURFACECODE" type="alternative" optional="true">
		<section name="SnowpackAdvanced" />
		<option value="NEUMANN_BC" type="string" />
		<option value="DIRICHLET_BC" type="string" />
		<help>Select the boundary conditions to use</help>
	</parameter> -->
	</frame>
	<frame key="sn_extra_frame" label="Extra Models Selection">
	<section name="SnowpackAdvanced"/>
	<parameter key="DETECT_GRASS" type="alternative" optional="true" default="TRUE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Identify grass growing under the snow height sensor. This usually works well but might sometimes lead to problems</help>
	</parameter>
	<parameter key="PLASTIC" type="alternative" optional="true" default="FALSE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Switch to tell the model that a impermeable layer should be simulated on top of some snow or ice: this requires that the *.sno file contains this layer, which is characterized via the soil parameters; the option has successfully been used to simulate snow and ice protection using geo-textiles and saw dust.</help>
	</parameter>
	<parameter key="JAM" type="alternative" optional="true" default="FALSE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>If switched on, you can also simulate ponding on impermeable ice surfaces below the snow cover</help>
	</parameter>
	<parameter key="WATER_LAYER" type="alternative" optional="true" default="FALSE">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Assuming an impermeable surface such as on a road or on geo-textiles (e.g. for snow farming), a liquid water layer is allowed to form on this surface</help>
	</parameter>
	</frame>
	<frame key="elements_frame" label="Elements Handling">
	<section name="SnowpackAdvanced"/>
	<parameter key="HEIGHT_NEW_ELEM" type="decimal" default="0.02">
		<section name="SnowpackAdvanced" />
		<help>Standard size of a new element added to the stack of elements (layers) during snowfall events</help>
	</parameter>
	<parameter key="MINIMUM_L_ELEMENT" type="decimal" default="0">
		<section name="SnowpackAdvanced" />
		<help>Threshold value for enforcing the layer to be merged with the layer above or below</help>
	</parameter>
	<parameter key="COMBINE_ELEMENTS" type="alternative" optional="true">
		<section name="SnowpackAdvanced" />
		<option value="TRUE" type="string" />
		<option value="FALSE" type="string" />
		<help>Combine neighboring elements based on a set of similarity conditions which are hard-coded</help>
	</parameter>
	</frame>

	<!--Parameter group for list of stations -->
	<parametergroup name="stationgroup_files">
		<parameter key="STATION#" type="file" counter="1" optional="false">
			<help>filename for station number # </help>
		</parameter>
	</parametergroup>
	<parametergroup name="stationgroup_names">
		<parameter key="STATION#" type="string" counter="1" optional="false">
			<help>station id for the given station number # </help>
		</parameter>
	</parametergroup>
	<parametergroup name="stationgroup_pos">
		<parameter key="STATION#" type="string" counter="1">
			<help>Coordinates are given as "lat lon" or "xcoord ycoord epsg_code"</help>
		</parameter>
	</parametergroup>

	<!-- Plugins for Meteo Data-->
	<parametergroup name="BORMA">
		<parameter key="METEOPATH" type="path" optional="false">
			<help>string containing the path to the xml files</help>
		</parameter>
		<reference name="stationgroup_names" />
	</parametergroup>

	<parametergroup name="IMIS">
		<parameter key="DBNAME" type="string" optional="false">
			<help>database name, as provided by your database administrator</help>
		</parameter>
		<parameter key="DBUSER" type="string" optional="false">
			<help>database user name</help>
		</parameter>
		<parameter key="DBPASS" type="string" optional="false">
			<help>database password associated with the user name</help>
		</parameter>
		<parameter key="USEANETZ" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		  <help>OPTIONAL: use ANETZ stations to provide precipitations for normal IMIS stations.
		  Each IMIS station is associated with one or two ANETZ stations and does a weighted
		  average to get what should be its local precipitations</help>
		</parameter>
		<parameter key="USE_IMIS_HNW" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		  <help>OPTIONAL: if set to false (default), all IMIS precipitation will be deleted (since IMIS stations don't have heated rain gauges, their precipitation measurements are not good in winter conditions). If set to true, it is strongly advised to use a FilterHNWMelt filter to detect snow melting in the rain gauge and perform winter conditions detection in the application.</help>
		</parameter>
		<parameter key="USE_SNOWPACK_HNW" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		  <help>if set to true, the SNOWPACK simulated Snow Water Equivalent from the database will be used to compute HNW. Data gaps greater than 3 hours on SWE will lead to unchanged hnw while all data that can properly be computed will overwrite hnw. (default=false)</help>
		</parameter>

		<reference name="stationgroup_names" />
	</parametergroup>

	<parametergroup name="GRIB_METEO">
		<parameter key="METEOPATH" type="path" optional="false">
			<help>string containing the path to the grib files</help>
		</parameter>
		<parameter key="METEOEXT" type="string" optional="true">
			<help>grib file extension, or none for no file extension (default: .grb)</help>
		</parameter>

		<reference name="stationgroup_pos" />
	</parametergroup>

	<parametergroup name="GEOTOP_IN">
		<parameter key="METEOPATH" type="path" optional="false">
			<help>string containing the path to the data files</help>
		</parameter>
		<parameter key="METAFILE" type="file" optional="false">
			<help>absolute filename of the geotop.inpts file</help>
		</parameter>
		<parameter key="METEOPREFIX" type="string" optional="true">
			<help>prefix to append when generating a file name for reading</help>
		</parameter>
	</parametergroup>

	<parametergroup name="GSN">
		<parameter key="ENDPOINT" type="string" optional="false">
			<help>webserver running GSN with its port number and full path. For example:
			http://montblanc.slf.ch:22001/services/A3DWebService</help>
		</parameter>
		<parameter key="PROXY" type="string" optional="true">
			<help>Should the connection go through a proxy? This is useful for servers
			filtering on domains but usually not necessary.</help>
		</parameter>
		<parameter key="PROXYPORT" type="string" optional="true" />
		<parameter key="PROXYUSER" type="string" optional="true" />
		<parameter key="PROXYPASS" type="string" optional="true" />

		<reference name="stationgroup_names" />
	</parametergroup>

	<parametergroup name="SMET_IN">
		<parameter key="METEOPATH" type="path" optional="false">
			<help>string containing the path to the smet files</help>
		</parameter>
		<reference name="stationgroup_files" />
	</parametergroup>

	<parametergroup name="SNIO_IN">
		<parameter key="METEOPATH" type="path" optional="false">
			<help>string containing the path to the SNOWPACK files</help>
		</parameter>
		<parameter key="METAFILE" type="file" optional="true">
			<help>filename of the meta data file (in METEOPATH)</help>
		</parameter>
		<parameter key="NUMBER_MEAS_TEMPERATURES" type="integer+" minimum="0" default="0">
		  <help>the number of measured snow temperatures that are provided</help>
		</parameter>
		<parameter key="NUMBER_OF_SOLUTES" type="integer+" minimum="0" default="0">
		  <help>the number of solutes for which input data are provided</help>
		</parameter>

		<parameter key="RSWR_INP" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		</parameter>
		<parameter key="ISWR_INP" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		</parameter>
		<parameter key="VW_DRIFT" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		  <help>OPTIONAL: wind velocity to use for blowing and drifting snow is provided</help>
		</parameter>
		<parameter key="RHO_HN" type="alternative" optional="true">
		  <option value="TRUE" type="string" />
		  <option value="FALSE" type="string" />
		  <help>OPTIONAL: measured new snow density is provided</help>
		</parameter>

		<reference name="stationgroup_files" />
	</parametergroup>

	<!-- Meteo Parameters for Filters, resampling, spatial interpolations-->
	<parametergroup name="METEOIOPARAMETERS">
		<option value="TA"/>
		<option value="RH"/>
		<option value="VW"/>
		<option value="DW"/>
		<option value="VW_MAX"/>
		<option value="ISWR"/>
		<option value="RSWR"/>
		<option value="ILWR"/>
		<option value="HS"/>
		<option value="HNW"/>
		<option value="TSG"/>
		<option value="TSS"/>
		<option value="P"/>
	</parametergroup>

	<!-- Filters -->
	<parameter key="Add/Remove Filter" type="selector">
		<section name="filters" />

		<parameter key="%::filter#" type="alternative" counter="1" template="true">
			<section name="filters" />

			<option label="MeanAvg" value="mean_avg" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			    </help>
			  </parameter>
			  <help>Mean average processing. The mean average filter returns the mean value of all values within a user given time window.</help>
			</option>


			<option label="MedianAvg" value="median_avg" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="decimal" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			    </help>
			  </parameter>
			  <help>Median average processing. The median average filter returns the median value of all values within a user given time window.</help>
			</option>

			<option label="Std Deviation Filter" value="std_dev" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			    </help>
			  </parameter>
			  <help>Standard deviation filter. Values outside of mean ± 2 std_dev are rejected.</help>
			</option>

			<option label="MAD" value="mad" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			    </help>
			  </parameter>
			  <help>Median Absolute Deviation. Values outside of median ± 3 σ_MAD are rejected. &lt;br&gt;
			  See http://en.wikipedia.org/wiki/Median_absolute_deviation for more information.</help>
			</option>

			<option label="Tukey 53H Filter" value="Tukey" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      The keyword "soft" maybe added, if the window position is allowed to be adjusted to the data present.
			      The two arguments may be preceded by the keywords "left", "center" or "right", indicating the window position.
			    </help>
			  </parameter>
			  <help>Tukey 53H method A smooth time sequence is generated from the median, substracted from the original signal and
			  compared with the standard deviation. see "Despiking Acoustic Doppler Velocimeter Data", Derek G. Goring and Vladimir
			  L. Nikora, Journal of Hydraulic Engineering, 128, 1, 2002 The deviation factor coeffecient is currently hard-coded as k=1.5. </help>
			</option>

			<option label="Wind Averaging Filter" value="wind_avg" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			    </help>
			  </parameter>
			  <help>Wind vector averaging. This calculates the vector average over a user given time period. Each wind vector
			  within this period is added and the final sum is normalized by the number of vectors that have been added. </help>
			</option>

			<option label="Exponential Smoothing" value="exp_smoothing" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <option label="alpha:" value="0.8" type="decimal" minimum="0" maximum="1"/>
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			      Alpha needs to be provided as last argument. Please note that the standard filter works with a left window!
			    </help>
			  </parameter>
			  <help>Exponential smooting processing, exponential moving average s_0 = x_0 s_n = alpha*x_(t-1) + (1-alpha)*s_t-1</help>
			</option>

			<option label="Weighted Moving Average Smoothing" value="wma_smoothing" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option value="center" type="dropdown">
			      <option value="left" type="string" />
			      <option value="center" type="string" />
			      <option value="right" type="string" />
			    </option>
			    <option label="# of points:" value="1" type="integer" minimum="1" />
			    <option label="Duration:" value="0" type="integer" minimum="0" />
			    <help>
			      Activate "soft" if the window position is allowed to be adjusted, window position maybe left, center or right.
			      Minimal number of points in window and minimal time interval spanning the window (seconds) are required.
			      Please note that the standard filter works with a left window!
			    </help>
			  </parameter>
			  <help>Weighted moving average smoothing such as: WMA = (1*X1 + 2*X2 + ... + n*Xn) / sum_of_weights</help>
			</option>

			<option label="Min Range Filter" value="min" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option label="Min:" value="" type="decimal" />
			    <option label="Adjust to:" value="" type="decimal" />
			    <help>The keyword "soft" maybe added, in such a case all data smaller than the min would be
			    assigned the minimum permissible value or another value given as an extra argument</help>
			  </parameter>
			  <help>Min range filter. Reject all values smaller than the min.</help>
			</option>

			<option label="Max Range Filter" value="max" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option label="Max:" value="" type="decimal" />
			    <option label="Adjust to:" value="" type="decimal" />
			    <help>The keyword "soft" maybe added, in such a case all data greater than the max would be
			    assigned the maximum permissible value or another value given as an extra argument</help>
			  </parameter>
			  <help>Max range filter. Reject all values greater than the max.</help>
			</option>

			<option label="MinMax (2 or 4 arguments)" value="min_max" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option label="Min:" value="" type="decimal" />
			    <option label="Max:" value="" type="decimal" />
			    <option label="Min adjust to:" value="" type="decimal" />
			    <option label="Max adjust to:" value="" type="decimal" />
			    <help>The keyword "soft" maybe added, in such a case all data greater than the max would be assigned
			    the maximum permissible value and all data smaller than the min would be assigned the minimum
			    permissible value or an optional extra set of two user provided values</help>
			  </parameter>
			  <help>Reject all values greater than the max or smaller than the min. &lt;br&gt;</help>
			</option>

			<option label="Rate Filter (1 argument)" value="rate" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option label="Max:" value="1.0" type="decimal" minimum="0" maximum="1" />
			    <help>the absolute value of the maximum permissible rate of change (per seconds)</help>
			  </parameter>
			  <help>Rate of change filter. Calculate the change rate (ie: slope) between two points, if it is above a user given value, reject the point.</help>
			</option>

			<option label="Rate Filter (2 arguments)" value="rate" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option label="Min:" value="0.0" type="decimal" minimum="0" maximum="1" />
			    <option label="Max:" value="1.0" type="decimal" minimum="0" maximum="1" />
			    <help>the minimum and maximum permissible rate of change (per second)</help>
			  </parameter>
			  <help>Rate of change filter. Calculate the change rate (ie: slope) between two points, if it is above a user given value, reject the point.</help>
			</option>

			<option label="Unheated Rain Gauge Filter" value="Unheated_RainGauge" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option value="soft" type="choice" />
			    <option label="RH threshold:" value="0.5" type="decimal" minimum="0" maximum="1" />
			    <option label="Delta_T threshold:" value="3.0" type="decimal" minimum="0" maximum="20" />
			  </parameter>
			  <help>Filters out snow melting in an unheated rain gauge. This filter can ONLY be applied to precipitation. Non-zero measurements are accepted only if they take place when the relative humidity is greater than RH_threshold and (TA-TSS) smaller than Delta_T_threshold, otherwise they get reset to 0. If none of these conditions could be tested (for lack of data), then the precipitation is reset to nodata (or left unchanged if "soft" has been selected).</help>
			</option>

			<option label="WMO Undercatch Filter" value="undercatch_wmo" type="string">
			  <parameter key="%::arg#" type="combination">
				<option value="Gage type" type="dropdown">
					<option value="Nipher" type="string" />
					<option value="Tretyakov" type="string" />
					<option value="US8sh" type="string" />
					<option value="US8unsh" type="string" />
					<option value="Hellmann" type="string" />
					<option value="Hellmannsh" type="string" />
				</option>
			  </parameter>
			  <help>This implements the standard methods for precipitation correction as described in "WMO Solid Precipitation Measurement Intercomparison", B. Goodison, P. Louie and D. Yang, 872, 1998 as well as the overview given by "Literature Study on the Correction of Precipitation Measurements", Annette Wagner, 2009. The correction parameters for the shielded Hellmann gauge (German version) are from "Wind-induced Precipitation Undercatch of the Hellmann Gauges", Daqing Yang et al, Nordic Hydrology, 30, 1999, pp 57-80.</help>
			</option>

			<option label="WMO Undercatch Filter - simplified" value="undercatch_wmo" type="string">
			  <parameter key="%::arg#" type="combination">
				<option value="Kind" type="dropdown">
					<option value="Cst" type="string" />
				</option>
				<option label="Snow factor:" value="1.3" type="decimal" minimum="0" maximum="5" />
				<option label="Mixed precipitation factor:" value="1.1" type="decimal" minimum="0" maximum="5" />
			  </parameter>
			  <help>This applies a constant correction factor to the precipitation, one for pure snow and one for mixed precipitation. The following thresholds are used: pure snow below -2 C; mixed precipitation between -2 and +2 C; pure rain above 2 C. These threshold can be changed (see online documentation).</help>
			</option>

			<option label="Unventillated temperature sensor" value="Unventilated_T" type="string">
			  <parameter key="%::arg#" type="combination">
			    <option label="albedo:" value="0.23" type="decimal" />
			    <option value="soft" type="choice" />
			    <help>If the "soft" option is given, the albedo has a value different according to snow (or no snow) on the ground</help>
			  </parameter>
			  <help>This implements the correction described in (Reina Nakamura, 2005) with an albedo dependency as introduced in (Huwald, 2009)</help>
			</option>

			<option label="Add an offset" value="add" type="string">
			  <parameter key="%::arg#" type="combination">
				<option label="offset:" value="0." type="decimal" />
			  </parameter>
			  <help>This adds a given offset to the data.</help>
			</option>

			<option label="Multiply by a factor" value="mult" type="string">
			  <parameter key="%::arg#" type="combination">
				<option label="factor:" value="1." type="decimal" />
			  </parameter>
			  <help>This multiplies the data by a given factor.</help>
			</option>

		</parameter>

		<reference name="METEOIOPARAMETERS" />
	</parameter>

	<!-- 1D Interpolation -->
	<parameter key="WINDOW_SIZE" type="integer+" minimum="1" default="43200">
		<section name="Interpolations1D" />
		<help>Affects resampling: expresses (in seconds) how far a valid point can be
		searched for when re-interpolating a missing value</help>
	</parameter>

	<parameter key="Add/Remove 1D Interpolation" type="selector">
		<section name="Interpolations1D" />

		<parameter key="%::resample" type="alternative" template="true">
			<section name="Interpolations1D" />
			<option label="No Interpolation" value="none" type="string" />
			<option label="Nearest Neighbour" value="nearest_neighbour" type="string" />
			<option label="Linear" value="linear" type="string">
			  <parameter key="%::args" type="combination">
			    <option value="extrapolate" type="choice" />
			    <help>
			      If "extrapolate" is added, then data *outside* of the original date range can be interpolated.
			      Otherwise, a data point will only be calculated between the original date range.
			    </help>
			  </parameter>
			  <help>Mean average processing. The mean average filter returns the mean value of all values within a user given time window.</help>
			</option>
			<option label="Accumulate" value="accumulate" type="string">
			  <parameter key="%::args" type="combination">
			    <option value="strict" type="choice" />
			    <option label="Seconds:" value="900" type="integer" minimum="1" />
			    <help>Accumulation period (in seconds). This must usually match the model time step. if enabling "strict", nodatas will propagate (ie. a single nodata in the input will force the re-accumulated value to be nodata). Otherwise, all valid values are aggregated and only pure nodata intervals produce a nodata in the output.</help>
			  </parameter>
			  <help>Accumulation over a user given period (filter argument, in seconds -
			  should coincide with your calculation step!).</help>
			</option>
		</parameter>

		<reference name="METEOIOPARAMETERS" />
	</parameter>

</inishell_config>